package com.jasamedika.medifirst2000.vo;

import java.util.Date;

import javax.persistence.Column;
import javax.persistence.JoinColumn;
import javax.persistence.ManyToOne;

import com.jasamedika.medifirst2000.helper.Caption;

/**
 * class StatusKemandirian
 * 
 * @author Generator
 */
public class TransferPasienExsternalVO extends MedicalRecordTransactionVO {
	
	@Column(name = "lainLain")
	private String lainLain;
	
	@Caption(value="TanggalMasuk")
	private Date tanggalMasuk;
	
	@Caption(value="TanggalPindah")
	private Date tanggalPindah;
	
	@ManyToOne
	@Caption(value="Asal Ruang Rawat")
	private RuanganVO asalRuanganRawat;

	
	@ManyToOne
	@Caption(value="Ruang Rawat Selanjutnya")
	private RuanganVO ruangRawatSelanjutnya;
	
	@ManyToOne
	@Caption(value="Pasien Diberitahu Alasan Pemindahan")
	private StatusYaTidakVO isPasienDiberiTahuAlasanPemindahan;
	
	
	@ManyToOne
	@JoinColumn(name = "ObjectIsPasienDiberiTahuAlasanPemindahan")
	@Caption(value="Pasien Diberitahu Alasan Pemindahan")
	private StatusYaTidakVO isKeluargaDiberiTahuAlasanPemindahan;
	
	
	@Caption(value="namaKeluarga")
	private String namaKeluarga;
	
	@Caption(value="hubunganKeluarga")
	private String hubunganKeluarga;
	
	@ManyToOne
	@JoinColumn(name = "ObjectDokterJaga")
	@Caption(value="Dokter Jaga")
	private PegawaiVO dokterJaga;
	
	
	@ManyToOne
	@Caption(value="Dokter Jaga")
	private KeadaanPasienVO keadaanPasien;
	
	@ManyToOne
	@Caption(value="Fasilitas")
	private FasilitasVO fasilitas;
	
	@ManyToOne
	@Caption(value="Tenaga")
	private TenagaVO tenaga;
	

	public Date getTanggalMasuk() {
		return tanggalMasuk;
	}

	public void setTanggalMasuk(Date tanggalMasuk) {
		this.tanggalMasuk = tanggalMasuk;
	}

	public RuanganVO getAsalRuanganRawat() {
		return asalRuanganRawat;
	}

	public void setAsalRuanganRawat(RuanganVO asalRuanganRawat) {
		this.asalRuanganRawat = asalRuanganRawat;
	}

	public RuanganVO getRuangRawatSelanjutnya() {
		return ruangRawatSelanjutnya;
	}

	public void setRuangRawatSelanjutnya(RuanganVO ruangRawatSelanjutnya) {
		this.ruangRawatSelanjutnya = ruangRawatSelanjutnya;
	}

	public StatusYaTidakVO getIsPasienDiberiTahuAlasanPemindahan() {
		return isPasienDiberiTahuAlasanPemindahan;
	}

	public void setIsPasienDiberiTahuAlasanPemindahan(StatusYaTidakVO isPasienDiberiTahuAlasanPemindahan) {
		this.isPasienDiberiTahuAlasanPemindahan = isPasienDiberiTahuAlasanPemindahan;
	}

	public StatusYaTidakVO getIsKeluargaDiberiTahuAlasanPemindahan() {
		return isKeluargaDiberiTahuAlasanPemindahan;
	}

	public void setIsKeluargaDiberiTahuAlasanPemindahan(StatusYaTidakVO isKeluargaDiberiTahuAlasanPemindahan) {
		this.isKeluargaDiberiTahuAlasanPemindahan = isKeluargaDiberiTahuAlasanPemindahan;
	}

	public String getNamaKeluarga() {
		return namaKeluarga;
	}

	public void setNamaKeluarga(String namaKeluarga) {
		this.namaKeluarga = namaKeluarga;
	}

	public String getHubunganKeluarga() {
		return hubunganKeluarga;
	}

	public void setHubunganKeluarga(String hubunganKeluarga) {
		this.hubunganKeluarga = hubunganKeluarga;
	}

	public String getLainLain() {
		return lainLain;
	}

	public void setLainLain(String lainLain) {
		this.lainLain = lainLain;
	}

	public Date getTanggalPindah() {
		return tanggalPindah;
	}

	public void setTanggalPindah(Date tanggalPindah) {
		this.tanggalPindah = tanggalPindah;
	}

	public KeadaanPasienVO getKeadaanPasien() {
		return keadaanPasien;
	}

	public void setKeadaanPasien(KeadaanPasienVO keadaanPasien) {
		this.keadaanPasien = keadaanPasien;
	}

	public FasilitasVO getFasilitas() {
		return fasilitas;
	}

	public void setFasilitas(FasilitasVO fasilitas) {
		this.fasilitas = fasilitas;
	}

	public TenagaVO getTenaga() {
		return tenaga;
	}

	public void setTenaga(TenagaVO tenaga) {
		this.tenaga = tenaga;
	}

	public PegawaiVO getDokterJaga() {
		return dokterJaga;
	}

	public void setDokterJaga(PegawaiVO dokterJaga) {
		this.dokterJaga = dokterJaga;
	}
	
}